#include	<xc.h>
#include	"../PIC16F1825_Files/pic16f1825_s.h"


// CCP2CON(CCP2 Control Register)̐ݒ
// APFCON1(Alternate Pin Function Control Register1)̐ݒ
// CCPTMRS(PWM Timer Selection Control Register0)̐ݒ
void set_PWM(unsigned int a, unsigned int b, unsigned int c, unsigned int d, unsigned int e)
{
	//PWMW[̐ݒ
	CCP2CONbits.P2M = a;		// Half Bridge, P2A, P2B𗘗pD@P2C, P2D̓|[gs
	CCP2CONbits.CCP2M = b;		// PWM[h@P2A, P2B active high

	// PWMo̓s̊蓖
	APFCON1bits.P2BSEL = c;		// P2BRA4(3ԃs)Ɋ蓖Ă
	APFCON1bits.CCP2SEL = d;	// P2ARA%(2ԃsjɊ蓖ĂD

	// PWMp̃^C}̊蓖
	CCPTMRSbits.C2TSEL = e;		// PWMp̃^C}Ƃă^C}2蓖ĂD
}


// PWM̒ʗ̐ݒ
void set_PWM_duty_cycle(unsigned long int a)
{
	CCP2CONbits.DC2B = a & 0b00000011; 	// PWMʗ̉2rbgw
	CCPR2L = a >> 2;					// PWMʗ̏8rbgw
}


// PWM̃fbh^C̐ݒ
void set_PWM_dead_time(unsigned long int a)
{
	PWM2CONbits.P2DC = a; 		// PWM̃fbh^C̎w
}