// gƉPWMC[^hCuEDAvpPWMMvO
// RC0 == 0, RA2 == 0: g[h
// RC0 == 0, RA2 == 1: PWM[h
// RC0 == 1, RA2 == 1: [^hCuEDAvpPWM[h

#include	<xc.h>
#include	".\PIC16F1825_Files\pic16f1825_s.h"

#pragma config FOSC = 0x04          // Oscillator Selection bits (INTOSC oscillator on; port I/O function on CLKIN/RA5 pin)
#pragma config WDTE = OFF           // Watchdog Timer Enable bit (WDT disabled)
#pragma config PWRTE = OFF          // Power-up Timer Enable bit (PWRT enabled)
#pragma config MCLRE = ON           // if LVP = OFF, then MCLR/VPP pin function is MCLR; Weak pull-up enabled
#pragma config CP = OFF             // Flash Program Memory Code Protection bit (Code protection off)
#pragma config CPD = OFF            // Data Code Protection bit
#pragma config BOREN = OFF          // Brown-out Reset Selection bits (OFF = BOR disabled)
#pragma config CLKOUTEN = OFF       // Clock Out Enable bit
#pragma config IESO = OFF           // Internal External Switchover bit
#pragma config FCMEN = OFF          // Fail-Safe Clock Monitor Enable bit
#pragma config WRT = OFF            // Flash Memory Self-Write Protection bits
#pragma config PLLEN = ON           // PLL Enable bit
#pragma config STVREN = OFF         // Stack Overflow/Underflow Reset Enable bit
#pragma config BORV = HI            // Brown-out Rest Voltage Selecton bit
#pragma config LVP = ON             // Low-Voltage Programming Enable bit

// DC Motr Control  D Class Amp ́@PWM ADϊl̊i[pϐ
#define PWM_period 	0xFF
unsigned short      ad_out;

// TCg`pf[^
#define				sin_div	  60            // 1/4
#define             sin_div2 120            // 1/2

char                sin_data[sin_div+1]     // gf[^
                    ={0,7,13,20,27,33,40,46,53,60,66,72,79,85,91,98,104,110,116,122,128,133,139,144,150,155,160,166,171,176,180,185,190,
                       194,198,202,206,210,214,217,221,224,227,230,233,236,238,240,243,244,246,248,249,251,252,253,254,254,255,255,255};
#define				MaxInterval_of_PWM_step    0x0820  // PWMXebv̍Œ
char                sin_step = 0;			//gf[^̔ԒnJE^
unsigned short      pwm_step = 0;			// PWM̒ʗpJE^
char                flag_sign = 0;			// 0: ̔gC1: ̔g

// 0.5Hz PWMg`p
#define				Interval_of_TMR1_Interrupt    0xFFFF

static void __interrupt()		// Timer1 ɂ銄荞ݏ[`
timer1_isr(void)
{
    unsigned short 	Int_Data, Duty;

    RC3 = 1;				// |[gCRC3(7ԃs)1o͂D荞ݔ̃j^Op
    
    //A/Dϊ
    start_ad_conversion();
    ad_out = read_result_of_ad_conversion();
     
	if((RC0 == 1) && (RA2 == 1))    // [^hCu & DAvpPWM[h
    {
        set_timer1_count_down_ini_num(0x0190);
							// ^C}1̃JEg_El̐ݒD
							// 0x0190JEg_EsC0ōĊ荞݂𔭐D
                            // ADϊ̃TvOPWM𓯊邽߂Ƀ^C}1̊荞ݎ𒲐@ 
                            // TvOg@31.2kHz
        clear_interrupt_flag_of_timer1();
							// ^C}1̊荞݃tO0ɂāC̃^C}1ɂ銄荞݂tƂ.

        set_PWM_duty_cycle(ad_out);	// PWMʗ̐ݒ
    }
    else if((RC0 == 0) && (RA2 == 0)) // g[h
    {
       Int_Data = 	MaxInterval_of_PWM_step - ad_out*2;		// PWMXebv̎Ԍ
        
        set_timer1_count_down_ini_num(Int_Data);
    						// ^C}1̃JEg_El̐ݒD
							// Int_DataJEg_EsC0ōĊ荞݂𔭐
                            // 32MHz/Int_Data - = 32MHz/(0x820 - ad_out*2) -  = 15.4kHz(min) -  
                            // (15.4kHz - )/sin_div2/2/0xFF = (15.4kHz - )/240/256 = 0.25Hz -  @ۂ͖0.2Hz
        clear_interrupt_flag_of_timer1();
							// ^C}1̊荞݃tO0ɂāC̃^C}1ɂ銄荞݂tƂ.
    
    		if(sin_step < sin_div)                          // gf[^ɂʗ
			{
				Duty = sin_data[sin_step];                  // P0--1/4C1/2--3/4̊Ԃ̒ʗ
			} else if(sin_step < sin_div2)
			{
				Duty = sin_data[sin_div2 - sin_step];       // P1/4--1/2C3/4--1̊Ԃ̒ʗ
            }
	    
            if(pwm_step <= Duty)    // PWMg`
            {
               if(flag_sign < 1)    // ̔g
               {
                    RA5 = 1;
                }else{              // ̔g
                    RC5 = 1;
                }
            }else{
                RA5 = 0;
                RC5 = 0;
            }
   
        pwm_step += 1;              // PWMXebv +1
		
        if(pwm_step >= 255)         // PWMXebvől=255
        {
            pwm_step = 0;           // Zbg
       
			sin_step += 1;          //gf[^̔Ԓn +1@(1/4sin_div, ?sin_div2)
			if(sin_step>=sin_div2)  // g̐ݒ
			{
				sin_step = 0;       // gf[^̔ԒnZbg
                if(flag_sign < 1)
                {
                    flag_sign = 1;  // ̔gֈڍs
                }else{
                    flag_sign = 0;  // ̔gֈڍs
                }
			}
    	}
    }
    else if((RC0 == 0) && (RA2 == 1))   // PWM[h
    {   	
        set_timer1_count_down_ini_num(Interval_of_TMR1_Interrupt);
    						// ^C}1̃JEg_El̐ݒD
							// ͒llƂăJEg_EsC0Ŋ荞݂𔭐邱ƂƂȂD
                            // 32MHz/Interval_of_TMR1 = 32MHz/(0xFFFF+) = 500Hz
                            // 500Hz/1024 = 0.5Hz 
        clear_interrupt_flag_of_timer1();
							// ^C}1̊荞݃tO0ɂāC̃^C}1ɂ銄荞݂tƂ.
    
    	if(pwm_step <= ad_out)
		{
            RA4 = 1;
        }else{
            RA4 = 0;
        }
    
        pwm_step += 1;              // PWMXebv +1
		
        if(pwm_step >= 1024)		// PWMXebvől@1024
        {
            pwm_step = 0;
        }
    }
    
    RC3 = 0;                        // |[gCRC3(7ԃs)0o͂D荞ݔ̃j^Op
}



void main()
{
	TRISA = 0x04;                   // RA2i11ԃsj̓|[gɐݒ
	TRISC = 0x05;                   // RC2i8ԃsj, RC0i10ԃsj̓|[gɐݒ
    ANSELA = 0x00;
    ANSELC = 0x04;                  // RC2i8ԃsjAiO͂ɐݒ

    //IV[^̐ݒ
    set_osc(Int_OSC_Freq_8MHz, SysClockSource_detmd_by_Config);
			// IV[^8MHzFOSC=32MHzƐݒ肷D

   	//@^C}[1̐ݒ
   	set_timer1(TMR1_clock_source_FOSC, T1Clock_PreScale_1_1, TMR1_ON);
			// ^C}P̃NbN\[XCݒ肵āC^C}1IƂD
   	set_interrupt_by_timer1();
    		// ^C}1ɂ銄荞݂ƂD    

    // A/DRo[^̐ݒ
    set_AD_Converter(select_AN6, AD_ON, right_justified, clock_1_32, neg_ref_VSS, pos_ref_FVR);    

    // FVR̐ݒ
    set_FVR(FVR_ON, ad_ref_4_096);    
    
	if((RC0 == 1) && (RA2 == 1))    // [^hCu & DAvpPWM
    {
        // PWMW[̐ݒ
        set_PWM(Half_Bridge_with_P2A_P2B, P2A_B_C_D_active_high, P2B_to_RA4, P2A_to_RA5, based_on_timer2);

        // ^C}2̐ݒ
        set_timer2(set_Postscaler_1_1, timer2_on, set_Prescaler_1_1, PWM_period); //XCb`Og@32kHz
    }
  
	for(;;)
		continue;		// [v
}